<?php
require_once '../core/system.php';
$user_ticket = mysql_fetch_assoc(mysql_query("SELECT * FROM `support_tickets` WHERE `user_id` = '$user[id]'"));
if ($user_ticket[footer_new] == '1') {
mysql_query("UPDATE `support_tickets` SET `footer_new` = '0' WHERE `user_id` = '$user[id]'");
}
$header = 'Служба поддержки';
include_once '../core/head.php';
if ($user[prava] >= 5) {
echo '<center><b>Режим: <span style="color:grey;">Игрока</span></b> | 
<a href="/view_support_admin"><b><span class="underline" style="color:red;">Администратора</span></a></b></center>';
}
echo '<div class="player">Чем точнее вы опишите вашу проблему, тем быстрее вы получите ответ.<br>Служба поддержки отвечает на запросы в течении 24 часов.</div>
<form  action="send_ticket" method="post"><br />
<div class="mini-line"></div>
<div class="center title">Запрос</div><div class="mini-line"></div>
<div class="center">
<textarea class = "text large" name="message"  rows="4" cols="35"></textarea>
<br />
<span class="btn"><span class="end">
<input class="label" type="submit" value="Отправить запрос" /></form></div></span></span></div>
<div class="line"></div>
<div class="player title">Ваши запросы</div>
<div class="mini-line"></div>';
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `support_tickets` WHERE `user_id` = '$user[id]'"),0);
$q = mysql_query("SELECT * FROM `support_tickets` WHERE `user_id` = '$user[id]' ORDER BY `time_created` DESC");
if($k_post == 0)echo '<div class="player grey">У вас еще нет запросов</div><div class="mini-line"></div>';
echo '<div class="player menuList">';
while($post = mysql_fetch_assoc($q)) {
if($post['new'] == 1 ){
$color = 'green';
}
if($post['new'] == 0 ){
$color = 'grey';
}
$ticket_s  = mysql_fetch_assoc(mysql_query("SELECT * FROM `support_messages` WHERE `ticket_title` = '1' AND `ticket_id` = '$post[id]'"),0);
//echo '<div class="dot-line"></div>';
echo '<li><a href="view_ticket?id='.$post[id].'"><span class="dgreen">'.vremja($post[time_created]).'</span>
<br><span class="'.$color.'">'.rez_text($ticket_s[message]).'</span></a></li>';
}
echo '<div class="dot-line"></div>';
echo '</div>';
include_once '../core/foot.php';
?>